XYZ File Manager
Current Path:
/usr/sbin
usr
/
sbin
/
📁
..
📄
a2disconf
(15.86 KB)
📄
a2dismod
(15.86 KB)
📄
a2dissite
(15.86 KB)
📄
a2enconf
(15.86 KB)
📄
a2enmod
(15.86 KB)
📄
a2ensite
(15.86 KB)
📄
a2query
(9.6 KB)
📄
add-shell
(1.03 KB)
📄
addgroup
(47.25 KB)
📄
adduser
(47.25 KB)
📄
agetty
(67.49 KB)
📄
apache2
(712.5 KB)
📄
apache2ctl
(7.19 KB)
📄
apachectl
(7.19 KB)
📄
arp
(66.13 KB)
📄
arpd
(104.48 KB)
📄
badblocks
(34.25 KB)
📄
blkdeactivate
(15.96 KB)
📄
blkdiscard
(34.31 KB)
📄
blkid
(122.34 KB)
📄
blkzone
(78.31 KB)
📄
blockdev
(78.31 KB)
📄
bridge
(152.54 KB)
📄
capsh
(53.29 KB)
📄
chcpu
(46.3 KB)
📄
check_forensic
(952 B)
📄
chgpasswd
(66.29 KB)
📄
chmem
(66.31 KB)
📄
chpasswd
(62.36 KB)
📄
chroot
(46.98 KB)
📄
cpgr
(60.43 KB)
📄
cppw
(60.43 KB)
📄
ctrlaltdel
(38.3 KB)
📄
dcb
(144.6 KB)
📄
debugfs
(233.83 KB)
📄
delgroup
(16.33 KB)
📄
deluser
(16.33 KB)
📄
devlink
(220.98 KB)
📄
dhclient
(2.63 MB)
📄
dhclient-script
(14.21 KB)
📄
dmsetup
(166.98 KB)
📄
dmstats
(166.98 KB)
📄
dpkg-fsys-usrunmess
(16.99 KB)
📄
dpkg-preconfigure
(3.83 KB)
📄
dpkg-reconfigure
(4.38 KB)
📄
dumpe2fs
(30.31 KB)
📄
e2freefrag
(14.3 KB)
📄
e2fsck
(348.27 KB)
📄
e2image
(54.45 KB)
📄
e2label
(114.52 KB)
📄
e2mmpstatus
(30.31 KB)
📄
e2scrub
(7.12 KB)
📄
e2scrub_all
(5.27 KB)
📄
e2undo
(22.3 KB)
📄
e4crypt
(26.3 KB)
📄
e4defrag
(30.23 KB)
📄
faillock
(14.24 KB)
📄
filefrag
(18.26 KB)
📄
findfs
(14.3 KB)
📄
fsck
(54.36 KB)
📄
fsck.cramfs
(42.37 KB)
📄
fsck.ext2
(348.27 KB)
📄
fsck.ext3
(348.27 KB)
📄
fsck.ext4
(348.27 KB)
📄
fsck.minix
(122.34 KB)
📄
fsfreeze
(14.3 KB)
📄
fstab-decode
(14.23 KB)
📄
fstrim
(74.31 KB)
📄
genl
(116.51 KB)
📄
getcap
(14.23 KB)
📄
getpcaps
(14.23 KB)
📄
getty
(67.49 KB)
📄
groupadd
(99.04 KB)
📄
groupdel
(90.85 KB)
📄
groupmems
(66.33 KB)
📄
groupmod
(99.01 KB)
📄
grpck
(66.3 KB)
📄
grpconv
(58.14 KB)
📄
grpunconv
(58.14 KB)
📄
halt
(1.29 MB)
📄
httxt2dbm
(14.23 KB)
📄
hwclock
(86.44 KB)
📄
iconvconfig
(30.84 KB)
📄
ifconfig
(82.01 KB)
📄
ifdown
(86.16 KB)
📄
ifquery
(86.16 KB)
📄
ifup
(86.16 KB)
📄
init
(90.38 KB)
📄
installkernel
(2.6 KB)
📄
invoke-rc.d
(16.13 KB)
📄
ip
(674.82 KB)
📄
ipmaddr
(18.56 KB)
📄
iptunnel
(26.55 KB)
📄
isosize
(30.31 KB)
📄
killall5
(26.31 KB)
📄
ldattach
(34.31 KB)
📄
ldconfig
(959.84 KB)
📄
locale-gen
(1.38 KB)
📄
logsave
(14.09 KB)
📄
losetup
(114.42 KB)
📄
make-ssl-cert
(6.65 KB)
📄
mii-tool
(27.08 KB)
📄
mke2fs
(138.58 KB)
📄
mkfs
(14.3 KB)
📄
mkfs.bfs
(34.31 KB)
📄
mkfs.cramfs
(42.24 KB)
📄
mkfs.ext2
(138.58 KB)
📄
mkfs.ext3
(138.58 KB)
📄
mkfs.ext4
(138.58 KB)
📄
mkfs.minix
(110.32 KB)
📄
mkhomedir_helper
(22.27 KB)
📄
mklost+found
(14.23 KB)
📄
mkswap
(114.31 KB)
📄
nameif
(14.65 KB)
📄
newusers
(102.92 KB)
📄
nologin
(14.23 KB)
📄
pam-auth-update
(20.79 KB)
📄
pam_getenv
(2.82 KB)
📄
pam_namespace_helper
(467 B)
📄
pam_timestamp_check
(14.24 KB)
📄
paperconfig
(4.07 KB)
📄
phpdismod
(7.11 KB)
📄
phpenmod
(7.11 KB)
📄
phpquery
(6.24 KB)
📄
pivot_root
(14.3 KB)
📄
plipconfig
(14.48 KB)
📄
poweroff
(1.29 MB)
📄
pwck
(58.26 KB)
📄
pwconv
(54.13 KB)
📄
pwhistory_helper
(18.24 KB)
📄
pwunconv
(54.17 KB)
📄
rarp
(37.13 KB)
📄
readprofile
(34.34 KB)
📄
reboot
(1.29 MB)
📄
remove-shell
(1.08 KB)
📄
resize2fs
(62.3 KB)
📄
rmt
(59.02 KB)
📄
rmt-tar
(59.02 KB)
📄
route
(69.17 KB)
📄
rtacct
(44.37 KB)
📄
rtcwake
(46.31 KB)
📄
rtmon
(112.45 KB)
📄
runlevel
(1.29 MB)
📄
runuser
(70.31 KB)
📄
service
(8.89 KB)
📄
setcap
(14.23 KB)
📄
shadowconfig
(2.22 KB)
📄
shutdown
(1.29 MB)
📄
slattach
(41.2 KB)
📄
split-logfile
(2.36 KB)
📄
sshd
(1.21 MB)
📄
start-stop-daemon
(43.42 KB)
📄
sulogin
(54.31 KB)
📄
swaplabel
(18.3 KB)
📄
swapoff
(22.3 KB)
📄
swapon
(50.3 KB)
📄
switch_root
(18.3 KB)
📄
sysctl
(30.31 KB)
📄
tarcat
(936 B)
📄
tc
(574 KB)
📄
telinit
(1.29 MB)
📄
tipc
(152.6 KB)
📄
tune2fs
(114.52 KB)
📄
unix_chkpwd
(38.24 KB)
📄
unix_update
(38.24 KB)
📄
update-ca-certificates
(5.29 KB)
📄
update-fonts-alias
(5.71 KB)
📄
update-fonts-dir
(3.98 KB)
📄
update-fonts-scale
(6.1 KB)
📄
update-gsfontmap
(470 B)
📄
update-locale
(2.99 KB)
📄
update-passwd
(38.49 KB)
📄
update-rc.d
(17.33 KB)
📄
update-shells
(3.89 KB)
📄
useradd
(155.8 KB)
📄
userdel
(110.95 KB)
📄
usermod
(143.61 KB)
📄
validlocale
(1.73 KB)
📄
vdpa
(116.66 KB)
📄
vigr
(72.64 KB)
📄
vipw
(72.64 KB)
📄
wipefs
(46.31 KB)
📄
zic
(58.73 KB)
📄
zramctl
(114.42 KB)
Editing: apachectl
#!/bin/sh # # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you may not use this file except in compliance with # the License. You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software # distributed under the License is distributed on an "AS IS" BASIS, # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. # See the License for the specific language governing permissions and # limitations under the License. # # # Apache control script designed to allow an easy command line interface # to controlling Apache. Written by Marc Slemko, 1997/08/23 # # Heavily modified for Debian by Stefan Fritsch 2007-2010 # # The exit codes returned are: # XXX this doc is no longer correct now that the interesting # XXX functions are handled by httpd # 0 - operation completed successfully # 1 - # 2 - usage error # 3 - httpd could not be started # 4 - httpd could not be stopped # 5 - httpd could not be started during a restart # 6 - httpd could not be restarted during a restart # 7 - httpd could not be restarted during a graceful restart # 8 - configuration syntax error # # When multiple arguments are given, only the error from the _last_ # one is reported. Run "apachectl help" for usage info # ARGV="$@" # # |||||||||||||||||||| START CONFIGURATION SECTION |||||||||||||||||||| # -------------------- -------------------- # # main configuration directory if test -z "$APACHE_CONFDIR" ; then if test "${0##*apache2ctl-}" != "$0" ; then APACHE_CONFDIR="/etc/apache2-${0##*apache2ctl-}" else APACHE_CONFDIR=/etc/apache2 fi fi SUFFIX="${APACHE_CONFDIR##/etc/apache2-}" case "$SUFFIX" in /etc/apache2) SUFFIX="" ;; *) SUFFIX="@$SUFFIX" ;; esac APACHE_SYSTEMD_SERVICE="apache2$SUFFIX" # the path to the environment variable file test -z "$APACHE_ENVVARS" && APACHE_ENVVARS="$APACHE_CONFDIR/envvars" # pick up any necessary environment variables if test -f $APACHE_ENVVARS; then . $APACHE_ENVVARS fi if test "$APACHE_CONFDIR" != /etc/apache2 ; then APACHE_ARGUMENTS="-d $APACHE_CONFDIR $APACHE_ARGUMENTS" fi # the following APACHE_* variables should be set in /etc/apache2/envvars # # the path to your httpd binary, including options if necessary HTTPD=${APACHE_HTTPD:-/usr/sbin/apache2} # # a command that outputs a formatted text version of the HTML at the # url given on the command line. Designed for lynx, however other # programs may work. LYNX="${APACHE_LYNX:-www-browser -dump}" # # the URL to your server's mod_status status page. If you do not # have one, then status and fullstatus will not work. STATUSURL="${APACHE_STATUSURL:-http://localhost:80/server-status}" # # Set this variable to a command that increases the maximum # number of file descriptors allowed per child process. This is # critical for configurations that use many file descriptors, # such as mass vhosting, or a multithreaded server. ULIMIT_MAX_FILES="${APACHE_ULIMIT_MAX_FILES:-ulimit -n 8192}" # -------------------- -------------------- # |||||||||||||||||||| END CONFIGURATION SECTION |||||||||||||||||||| # Set the maximum number of file descriptors allowed per child process. if [ "x$ULIMIT_MAX_FILES" != "x" ] && [ `id -u` -eq 0 ] ; then if ! $ULIMIT_MAX_FILES ; then echo Setting ulimit failed. See README.Debian for more information. >&2 fi fi ERROR=0 if [ "x$ARGV" = "x" ] || [ "x$ARGV" = "xusage" ] || [ "x$ARGV" = "xhelp" ] || [ "x$ARGV" = "x--help" ]; then echo "Usage: $0 start|stop|restart|graceful|graceful-stop|configtest|status|fullstatus|help" >&2 echo " $0 <apache2 args>" >&2 echo " $0 -h (for help on <apache2 args>)" >&2 exit 1 fi get_status () { if ! $LYNX $STATUSURL ; then echo "'$LYNX $STATUSURL'" failed. >&2 echo Maybe you need to install a package providing www-browser or you >&2 echo need to adjust the APACHE_LYNX variable in /etc/apache2/envvars >&2 exit 1 fi } mkdir_chown () { local OWNER="$1" local DIR="$2" local STAT="$(LC_ALL=C stat -c %F:%U $DIR 2> /dev/null || true)" if [ "$STAT" = "" ] ; then local TMPNAME=$(mktemp -d $DIR.XXXXXXXXXX) || exit 1 chmod 755 $TMPNAME || exit 1 chown $OWNER $TMPNAME || exit 1 if ! mv -T $TMPNAME $DIR 2> /dev/null; then rmdir $TMPNAME # check for race with other apachectl if [ "$(LC_ALL=C stat -c %F:%U $DIR 2>/dev/null)" != "directory:$OWNER" ] then echo Cannot create $DIR with owner $OWNER. echo Please fix manually. Aborting. exit 1 fi fi elif [ "$STAT" != "directory:$OWNER" ] ; then echo $DIR already exists but is not a directory owned by $OWNER. echo Please fix manually. Aborting. exit 1 fi } [ ! -d ${APACHE_RUN_DIR:-/var/run/apache2} ] && mkdir -p ${APACHE_RUN_DIR:-/var/run/apache2} [ ! -d ${APACHE_RUN_DIR:-/var/run/apache2}/socks ] && mkdir_chown ${APACHE_RUN_USER:-www-data} ${APACHE_RUN_DIR:-/var/run/apache2}/socks [ ! -d ${APACHE_LOCK_DIR:-/var/lock/apache2} ] && mkdir_chown ${APACHE_RUN_USER:-www-data} ${APACHE_LOCK_DIR:-/var/lock/apache2} case "$ARGV" in start) # ssl_scache shouldn't be here if we're just starting up. # (this is bad if there are several apache2 instances running) rm -f ${APACHE_RUN_DIR:-/var/run/apache2}/*ssl_scache* need_systemd=false if [ -z "$APACHE_STARTED_BY_SYSTEMD" ] ; then case "$(readlink -f /proc/1/exe)" in *systemd*) need_systemd=true ;; *) ;; esac fi if $need_systemd ; then # If running on systemd we should not start httpd without systemd # or systemd will get confused about the status of httpd. echo "Invoking 'systemctl start $APACHE_SYSTEMD_SERVICE'." echo "Use 'systemctl status $APACHE_SYSTEMD_SERVICE' for more info." systemctl start "$APACHE_SYSTEMD_SERVICE" else unset APACHE_STARTED_BY_SYSTEMD $HTTPD ${APACHE_ARGUMENTS} -k "$ARGV" fi ERROR=$? ;; stop|graceful-stop) $HTTPD ${APACHE_ARGUMENTS} -k "$ARGV" ERROR=$? ;; restart|graceful) if $HTTPD ${APACHE_ARGUMENTS} -t 2> /dev/null ; then $HTTPD ${APACHE_ARGUMENTS} -k "$ARGV" else $HTTPD ${APACHE_ARGUMENTS} -t fi ERROR=$? ;; startssl|sslstart|start-SSL) echo The startssl option is no longer supported. echo Please edit httpd.conf to include the SSL configuration settings echo and then use "apachectl start". ERROR=2 ;; configtest) $HTTPD ${APACHE_ARGUMENTS} -t ERROR=$? ;; status) get_status | awk ' /process$/ { print; exit } { print } ' ;; fullstatus) get_status ;; *) $HTTPD ${APACHE_ARGUMENTS} "$@" ERROR=$? esac if [ "$ERROR" != 0 ] ; then echo Action \'"$@"\' failed. echo The Apache error log may have more information. fi exit $ERROR
Upload File
Create Folder